CVE-2008-1927

medium
New! CVE Severity Now Using CVSS v3

The calculated severity for CVEs has been updated to use CVSS v3 by default. CVEs that do not have a CVSS v3 score will fall back CVSS v2 for calculating severity. Severity display preferences can be toggled in the settings dropdown.

Description

Double free vulnerability in Perl 5.8.8 allows context-dependent attackers to cause a denial of service (memory corruption and crash) via a crafted regular expression containing UTF8 characters. NOTE: this issue might only be present on certain operating systems.

References

http://bugs.debian.org/cgi-bin/bugreport.cgi?bug=454792

http://lists.apple.com/archives/security-announce/2009/Feb/msg00000.html

http://lists.opensuse.org/opensuse-security-announce/2008-08/msg00006.html

http://osvdb.org/44588

http://rt.perl.org/rt3/Public/Bug/Display.html?id=48156

http://secunia.com/advisories/29948

http://secunia.com/advisories/30025

http://secunia.com/advisories/30326

http://secunia.com/advisories/30624

http://secunia.com/advisories/31208

http://secunia.com/advisories/31328

http://secunia.com/advisories/31467

http://secunia.com/advisories/31604

http://secunia.com/advisories/31687

http://secunia.com/advisories/33314

http://secunia.com/advisories/33937

http://support.apple.com/kb/HT3438

http://support.avaya.com/elmodocs2/security/ASA-2008-317.htm

http://support.avaya.com/elmodocs2/security/ASA-2008-361.htm

http://wiki.rpath.com/Advisories:rPSA-2009-0011

http://www.debian.org/security/2008/dsa-1556

http://www.gentoo.org/security/en/glsa/glsa-200805-17.xml

http://www.ipcop.org/index.php?name=News&file=article&sid=41

http://www.mandriva.com/security/advisories?name=MDVSA-2008:100

http://www.redhat.com/support/errata/RHSA-2008-0522.html

http://www.redhat.com/support/errata/RHSA-2008-0532.html

http://www.securityfocus.com/archive/1/500210/100/0/threaded

http://www.securityfocus.com/bid/28928

http://www.securitytracker.com/id?1020253

http://www.ubuntu.com/usn/usn-700-1

http://www.ubuntu.com/usn/usn-700-2

http://www.vmware.com/security/advisories/VMSA-2008-0013.html

http://www.vupen.com/english/advisories/2008/2265/references

http://www.vupen.com/english/advisories/2008/2361

http://www.vupen.com/english/advisories/2008/2424

http://www.vupen.com/english/advisories/2009/0422

https://exchange.xforce.ibmcloud.com/vulnerabilities/41996

https://oval.cisecurity.org/repository/search/definition/oval%3Aorg.mitre.oval%3Adef%3A10579

https://www.redhat.com/archives/fedora-package-announce/2008-April/msg00601.html

https://www.redhat.com/archives/fedora-package-announce/2008-April/msg00607.html

Details

Source: MITRE

Published: 2008-04-24

Updated: 2018-10-11

Type: CWE-399

Risk Information

CVSS v2

Base Score: 5

Vector: AV:N/AC:L/Au:N/C:N/I:N/A:P

Impact Score: 2.9

Exploitability Score: 10

Severity: MEDIUM

Vulnerable Software

Configuration 1

OR

cpe:2.3:a:perl:perl:5.8.8:*:*:*:*:*:*:*

Tenable Plugins

View all (17 total)

IDNameProductFamilySeverity
67707Oracle Linux 3 / 4 / 5 : perl (ELSA-2008-0522)NessusOracle Linux Local Security Checks
medium
60421Scientific Linux Security Update : perl on SL3.x, SL4.x, SL5.x i386/x86_64NessusScientific Linux Local Security Checks
medium
41225SuSE9 Security Update : Perl (YOU Patch Number 12208)NessusSuSE Local Security Checks
medium
40381VMSA-2008-0013 : Updated ESX packages for OpenSSL, net-snmp, perlNessusVMware ESX Local Security Checks
critical
40104openSUSE Security Update : perl (perl-101)NessusSuSE Local Security Checks
medium
37888Ubuntu 6.06 LTS / 7.10 / 8.04 LTS / 8.10 : libarchive-tar-perl, perl vulnerabilities (USN-700-1)NessusUbuntu Local Security Checks
medium
37868Mandriva Linux Security Advisory : perl (MDVSA-2008:100)NessusMandriva Local Security Checks
medium
37746Ubuntu 8.04 LTS : perl regression (USN-700-2)NessusUbuntu Local Security Checks
medium
35684Mac OS X Multiple Vulnerabilities (Security Update 2009-001)NessusMacOS X Local Security Checks
critical
34041SuSE 10 Security Update : Perl (ZYPP Patch Number 5444)NessusSuSE Local Security Checks
medium
34040openSUSE 10 Security Update : perl (perl-5443)NessusSuSE Local Security Checks
medium
33171CentOS 3 / 4 / 5 : perl (CESA-2008:0522)NessusCentOS Local Security Checks
medium
33155RHEL 3 / 4 / 5 : perl (RHSA-2008:0522)NessusRed Hat Local Security Checks
medium
32415GLSA-200805-17 : Perl: Execution of arbitrary codeNessusGentoo Local Security Checks
medium
32105Fedora 7 : perl-5.8.8-29.fc7 (2008-3399)NessusFedora Local Security Checks
medium
32103Fedora 8 : perl-5.8.8-39.fc8 (2008-3392)NessusFedora Local Security Checks
medium
32057Debian DSA-1556-2 : perl - heap buffer overflowNessusDebian Local Security Checks
medium